package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.ResultDimension;

import java.util.List;

/**
* <p>
* 考核维度表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
public interface ResultDimensionService extends IService<ResultDimension> {



	ResultDimension selectResultDimensionById(Long id);


	Long insertResultDimension(ResultDimension resultDimension);


	int updateResultDimensionById(ResultDimension resultDimension);


	int updateCoverResultDimensionById(ResultDimension resultDimension);


	int deleteResultDimensionById(Long id);


    List<ResultDimension> selectResultDimensionAll();
}